#ifndef PROTOTYPE1_SRC_L1_ANNE_SOME_TESTS_H
#define PROTOTYPE1_SRC_L1_ANNE_SOME_TESTS_H

#include "../codegen/util_template_inst.h"

void generate_headers_for_r0_r1_r2_r3() {
    SpanU8 l = cstr("l1");
    mkdir_nofail("l1/eve");
    mkdir_nofail("l1/eve/r0");
    {    /* Needed in r0_assets.h */
        SpanU8 ns = cstr("r0");
        generate_eve_span_company_for_primitive(l, ns, cstr("Wimbzle"), true, false);
        generate_eve_span_company_for_primitive(l, ns, cstr("Nibzle"), true, false);
    }
    mkdir_nofail("l1/eve/r2");
    {   /* r2 */
        SpanU8 ns = cstr("r2");
        generate_util_templ_inst_eve_header(l, ns, (util_templates_instantiation_options){
            .T = cstr("PlayingSound"), .vec_extended = true
        });
    }
    mkdir_nofail("l1/eve/ds_test");
    {     /* This structure is needed for testing purposes only */
        generate_eve_span_company_for_primitive(l, cstr("ds_test"), cstr("RefRBTreeNode_S64"), true, false);
    }
}

#endif